# Uses of Class
it.tdlight.jni.TdApi.InputIdentityDocument

## Uses of TdApi.InputIdentityDocument in it.tdlight.jni

Fields in it.tdlight.jni declared as TdApi.InputIdentityDocument
Modifier and Type
Field
Description
`TdApi.InputIdentityDocument`
TdApi.InputPassportElementDriverLicense.`driverLicense`
The driver license to be saved.
`TdApi.InputIdentityDocument`
TdApi.InputPassportElementIdentityCard.`identityCard`
The identity card to be saved.
`TdApi.InputIdentityDocument`
TdApi.InputPassportElementInternalPassport.`internalPassport`
The internal passport to be saved.
`TdApi.InputIdentityDocument`
TdApi.InputPassportElementPassport.`passport`
The passport to be saved.
Constructors in it.tdlight.jni with parameters of type TdApi.InputIdentityDocument
Modifier
Constructor
Description
``
`InputPassportElementDriverLicense(TdApi.InputIdentityDocument driverLicense)`
A Telegram Passport element to be saved containing the user's driver license.
``
`InputPassportElementIdentityCard(TdApi.InputIdentityDocument identityCard)`
A Telegram Passport element to be saved containing the user's identity card.
``
`InputPassportElementInternalPassport(TdApi.InputIdentityDocument internalPassport)`
A Telegram Passport element to be saved containing the user's internal passport.
``
`InputPassportElementPassport(TdApi.InputIdentityDocument passport)`
A Telegram Passport element to be saved containing the user's passport.